DRM_EDID_BLOCK_VALID(9)

NAME
drm_edid_block_valid - Sanity check the EDID block (base or extension)

SYNOPSIS

bool drm_edid_block_valid(u8 * raw_edid, int block, bool print_bad_edid);

ARGUMENTS

raw_edid
    pointer to raw EDID block

block
    type of block to validate (0 for base, extension otherwise)

print_bad_edid
    if true, dump bad EDID blocks to the console

DESCRIPTION

Validate a base or extension EDID block and optionally dump bad blocks to the console.

RETURN

True if the block is valid, false otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT